"The executable /usr/bin/python3.4 does not exist" error when Installing Mailman 3 on Centos 7

Bug #1445764 reported by Danil Smirnov
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
GNU Mailman
Undecided
Unassigned

Bug Description

Short summary: when installing Mailman 3 onto new Centos 7 box using manual at page
http://mailman-bundler.readthedocs.org/en/latest/

after step

(venv)[root@host mailman-bundler]# pip install zc.buildout
(venv)[root@host mailman-bundler]# buildout

getting the error:

---
Installing mailman.
The executable /usr/bin/python3.4 (from --python=/usr/bin/python3.4) does not exist
/tmp/tmpePyrQ3/run: line 2: /usr/local/src/mailman-bundler/venv-3.4/bin/pip: No such file or directory
While:
  Installing mailman.
---

Now in details:

Fresh new CentOS Linux release 7.1.1503 (Core) installed as kvm guest.

System python package installed: python-2.7.5-16.el7.x86_64

Python 3.4.3 was installed by commands:

[root@host ~]# cd /usr/local/src
[root@host src]# curl -O https://www.python.org/ftp/python/3.4.3/Python-3.4.3.tgz
[root@host src]# tar -xvzf Python-3.4.3.tgz
[root@host src]# cd /usr/local/src/Python-3.4.3
[root@host Python-3.4.3]# ./configure --enable-shared --prefix=/usr/local LDFLAGS="-Wl,-rpath /usr/local/lib"
[root@host Python-3.4.3]# make
[root@host Python-3.4.3]# make altinstall

Virtualenv was installed from package
python-virtualenv.noarch 0:1.10.1-2.el7
with dependant python-devel.x86_64 0:2.7.5-16.el7

Then everything was don according
http://mailman-bundler.readthedocs.org/en/latest/
until the error mentioned above occurred.

When I did
(venv)[root@host mailman-bundler]# ln -s /usr/local/bin/python3.4 /usr/bin/python3.4

I've got another error:
---
(venv)[root@host mailman-bundler]# buildout
Develop: '/usr/local/src/mailman-bundler/.'
warning: no files found matching '*.in' under directory 'mailman_bundler'
warning: no files found matching '*.in' under directory 'deployment'
warning: no files found matching 'deployment/mailman-web.logrotate.conf'
Updating mailman-web.
Updating main.
Installing mailman.
Running virtualenv with interpreter /usr/bin/python3.4
Using base prefix '/usr/local'
New python executable in /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
Also creating executable in /usr/local/src/mailman-bundler/venv-3.4/bin/python
Failed to import the site module
Traceback (most recent call last):
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'
ERROR: The executable /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4 is not functioning
ERROR: It thinks sys.prefix is '/usr/local/src/mailman-bundler' (should be '/usr/local/src/mailman-bundler/venv-3.4')
ERROR: virtualenv is not compatible with this system or executable
/tmp/tmpTl6JgC/run: line 2: /usr/local/src/mailman-bundler/venv-3.4/bin/pip: No such file or directory
While:
  Installing mailman.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1946, in main
    getattr(buildout, command)(args)
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 626, in install
    installed_files = self[part]._call(recipe.install)
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1370, in _call
    return f()
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 56, in install
    self.execute()
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 69, in execute
    run_commands(cmds, self.shell)
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 39, in run_commands
    check_call('%s %s' % (shell, tmpfile), shell=True)
  File "/usr/lib64/python2.7/subprocess.py", line 542, in check_call
    raise CalledProcessError(retcode, cmd)
CalledProcessError: Command 'sh /tmp/tmpTl6JgC/run' returned non-zero exit status 127
---

Pavan Koli (pskoli93)
summary: - "The executable /usr/bin/python3.4 does not exist" error when
- Installling Mailman 3 on Centos 7
+ "The executable /usr/bin/python3.4 does not exist" error when Installing
+ Mailman 3 on Centos 7
Revision history for this message
Aurélien Bompard (abompard) wrote :

Oh yeah sorry, the path to python3.4 was hardcoded. I fixed this an hour ago, sorry for not replying earlier but I was on a plane from PyCon.
Please update your mailman-bundler branch.

Barry Warsaw (barry)
Changed in mailman:
status: New → Fix Committed
Revision history for this message
Danil Smirnov (ulrith) wrote :

Hi Aurélien Bompard!

Thank you for patching. Now this error does not occur.

But I stil can't build the mailman with the error I reposted in the bottom of my bug report:

---
(venv)[root@host mailman-bundler]# buildout
Develop: '/usr/local/src/mailman-bundler/.'
warning: no files found matching '*.in' under directory 'mailman_bundler'
warning: no files found matching '*.in' under directory 'deployment'
warning: no files found matching 'deployment/mailman-web.logrotate.conf'
Updating mailman-web.
Updating main.
Installing mailman.
Running virtualenv with interpreter /usr/local/bin/python3.4
Using base prefix '/usr/local'
New python executable in /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
Not overwriting existing python script /usr/local/src/mailman-bundler/venv-3.4/bin/python (you must use /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4)
Failed to import the site module
Traceback (most recent call last):
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'
ERROR: The executable /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4 is not functioning
ERROR: It thinks sys.prefix is '/usr/local/src/mailman-bundler' (should be '/usr/local/src/mailman-bundler/venv-3.4')
ERROR: virtualenv is not compatible with this system or executable
/tmp/tmpeMECwh/run: line 2: /usr/local/src/mailman-bundler/venv-3.4/bin/pip: Нет такого файла или каталога
While:
  Installing mailman.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1946, in main
    getattr(buildout, command)(args)
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 626, in install
    installed_files = self[part]._call(recipe.install)
  File "/usr/local/src/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1370, in _call
    return f()
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 56, in install
    self.execute()
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 69, in execute
    run_commands(cmds, self.shell)
  File "/usr/local/src/mailman-bundler/eggs/collective.recipe.cmd-0.10-py2.7.egg/collective/recipe/cmd/__init__.py", line 39, in run_commands
    check_call('%s %s' % (shell, tmpfile), shell=True)
  File "/usr/lib64/python2.7/subprocess.py", line 542, in check_call
    raise CalledProcessError(retcode, cmd)
CalledProcessError: Command 'sh /tmp/tmpeMECwh/run' returned non-zero exit status 127

---

Should I fill another bug report for this case?

Revision history for this message
Aurélien Bompard (abompard) wrote :

Hmm, it looks like there could be a problem with the version of Python 3.4 you compiled, see the lines starting with "ERROR:" and the ImportError. Could you be missing some devel libraries ? Does your distribution have a version of Python 3.4 that would be parallel-installable?

Revision history for this message
Barry Warsaw (barry) wrote :

Everything worked for me on Ubuntu 15.04

Revision history for this message
Mark Sapiro (msapiro) wrote :

Please start over from the point of creating the first venv with a fresh branch of mailman-bundler and report the error if that doesn't work.

Revision history for this message
Danil Smirnov (ulrith) wrote :

Aurélien:

>Could you be missing some devel libraries?

I don't think so but I'm ready to check something yo want.

>Does your distribution have a version of Python 3.4 that would be parallel-installable?

I could not find any with "yum search python". As I reported, this is fresh new Centos 7 installation.

Mark:

I did everything you advice with the error posted above.

Few more experiments:

(venv)[root@host mailman-bundler]# ls -l /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
-rwxr-xr-x 1 root root 17544 apr 18 22:55 /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4

(venv)[root@host mailman-bundler]# /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
Failed to import the site module
Traceback (most recent call last):
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'

I have very poor knowing of Python and its environment. I'm unable to find what's wrong with the Python installation.

I can provide to you any additional data if you request.

Revision history for this message
Danil Smirnov (ulrith) wrote :

2Barry: I don't think Ubuntu is primary distribution for the Mailman. It much more important to proof it's installable on Debian, Centos and others distributions, which common on web servers.

Revision history for this message
Danil Smirnov (ulrith) wrote :

It's terrible that I can't correct typos and errors here -- sorry for them, it's almost Midnight here...

Revision history for this message
Mark Sapiro (msapiro) wrote :

There is something wrong with your Python 3.4.

What happens if you just do

$ /usr/local/bin/python3.4
>>> import os
>>> import _collections_abc

and

$ /usr/local/src/mailman-bundler/venv-3.4/lib/python3.4
>>> import os
>>> import _collections_abc

I suspect you will get ImportError on all of those which means your Python 3.4 install is broken. You need to have a working Python 3.4 that can successfully

import os

Revision history for this message
Barry Warsaw (barry) wrote : Re: [Bug 1445764] Re: "The executable /usr/bin/python3.4 does not exist" error when Installing Mailman 3 on Centos 7

On Apr 18, 2015, at 08:25 PM, Danil Smirnov wrote:

>2Barry: I don't think Ubuntu is primary distribution for the Mailman. It
>much more important to proof it's installable on Debian, Centos and
>others distributions, which common on web servers.

Um, what? Ubuntu is a popular distribution for servers. We want Mailman to
work on any modern POSIX platform, so that includes Debian, Ubuntu, Fedora,
Centos, RedHat, OS X, and others.

Revision history for this message
Danil Smirnov (ulrith) wrote :

Mark:

[root@host ~]# /usr/local/bin/python3.4
Python 3.4.3 (default, Apr 17 2015, 18:24:27)
[GCC 4.8.3 20140911 (Red Hat 4.8.3-9)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import os
>>> import _collections_abc
>>>

It's okay with all these commands - no error messages.

But:

/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4 is a directory!

[root@host ~]# ls /usr/local/src/mailman-bundler/venv-3.4/lib/python3.4
abc.py copy.py __future__.py lib-dynload orig-prefix.txt reprlib.py sre_compile.py tarfile.py warnings.py
bisect.py copyreg.py genericpath.py linecache.py os.py re.py sre_constants.py tempfile.py weakref.py
codecs.py encodings heapq.py locale.py posixpath.py shutil.py sre_parse.py tokenize.py _weakrefset.py
collections fnmatch.py io.py no-global-site-packages.txt __pycache__ site-packages stat.py token.py
config-3.4m functools.py keyword.py ntpath.py random.py site.py struct.py types.py

Revision history for this message
Mark Sapiro (msapiro) wrote :

> /usr/local/src/mailman-bundler/venv-3.4/lib/python3.4 is a directory!

Sorry, that should have been

/usr/local/src/mailman-bundler/venv-3.4/bin/python3.4

but the fact that I don't see _collections_abc.py in the lib directory could be an issue unless it's in site-packages.

Here's what mine looks like.

$ ls -F mailman-bundler/venv-3.4/lib/python3.4
abc.py@ hmac.py@ rlcompleter.py@
base64.py@ importlib@ shutil.py@
bisect.py@ imp.py@ site-packages/
_bootlocale.py@ io.py@ site.py
codecs.py@ keyword.py@ sre_compile.py@
collections@ lib-dynload@ sre_constants.py@
_collections_abc.py@ linecache.py@ sre_parse.py@
config-3.4m-x86_64-linux-gnu@ locale.py@ stat.py@
copy.py@ no-global-site-packages.txt struct.py@
copyreg.py@ ntpath.py@ tarfile.py@
distutils/ operator.py@ tempfile.py@
_dummy_thread.py@ orig-prefix.txt tokenize.py@
encodings@ os.py@ token.py@
fnmatch.py@ plat-x86_64-linux-gnu@ types.py@
functools.py@ posixpath.py@ warnings.py@
__future__.py@ __pycache__/ weakref.py@
genericpath.py@ random.py@ _weakrefset.py@
hashlib.py@ reprlib.py@
heapq.py@ re.py@

The ones with '@' are all symlinks to the corresponding /usr/lib/python3.4/ file.

Revision history for this message
Danil Smirnov (ulrith) wrote :

Mark, you are right (see below). I will investigate further tomorrow.

[root@host ~]# /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
Failed to import the site module
Traceback (most recent call last):
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'
[root@host ~]# /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
Failed to import the site module
Traceback (most recent call last):
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/usr/local/src/mailman-bundler/venv-3.4/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'

Revision history for this message
Danil Smirnov (ulrith) wrote :

I have reinstalled Python 3.4.3, checked if everything is all right with its installation.

I can see '_collections_abc.py' module in /usr/local/lib/python3.4 directory.

But there is no such file in

(venv)[root@host mailman-bundler]# ls -F venv-3.4/lib/python3.4
abc.py@ copy.py@ __future__.py@ lib-dynload@ orig-prefix.txt reprlib.py@ sre_compile.py@ tarfile.py@ warnings.py@
bisect.py@ copyreg.py@ genericpath.py@ linecache.py@ os.py@ re.py@ sre_constants.py@ tempfile.py@ weakref.py@
codecs.py@ encodings@ heapq.py@ locale.py@ posixpath.py@ shutil.py@ sre_parse.py@ tokenize.py@ _weakrefset.py@
collections@ fnmatch.py@ io.py@ no-global-site-packages.txt __pycache__/ site-packages/ stat.py@ token.py@
config-3.4m@ functools.py@ keyword.py@ ntpath.py@ random.py@ site.py struct.py@ types.py@

So, I think that the problem is somewhere in the process of 'venv-3.4' directory creation.

Revision history for this message
Mark Sapiro (msapiro) wrote :

I'm not sure why the buildout process is not installing a working python3.4 in mailman-bundler/venv-3.4/, but it isn't. I suggest the following:

1) remove all the symlinks you added. Ones mentioned in the thread starting at <https://mail.python.org/pipermail/mailman-developers/2015-April/024894.html> include:

ln -s /usr/local/bin/python /usr/bin/python
ln -s /usr/local/bin/python3.4 /usr/local/bin/python3
ln -s /usr/local/bin/python3.4 /usr/bin/python3.4

You may not have added all those and you may have added others, but remove all you added.

2) remove the venv and venv-3.4 directories from mailman-bundler/

3) If your mailman-bundler is not at rev. 62, at least do a bzr pull to update it. Better still, remove mailman-bundler/ and start from the beginning.

4) if after running buildout you still don't have a working Python 3 in mailman-bundler/venv3-4, you can probably "fix" it by removing mailman-bundler/venv3-4/lib/python3.4 and replacing it with a symlink to /usr/local/lib/python3.4, but it's not clear to me that the prior symlinking is not somehow involved with the current issue so you should proceed with caution.

The real issue here is why is buildout not installing a complete, working python3.4 in venv-3.4.

What happens if you just do

cd
virtualenv -p python3.4 xxx
./xxx/bin/python

Revision history for this message
Danil Smirnov (ulrith) wrote :

1) All they were removed right after they did not help.

2) Removed several times with the whole mailman-bundler/ directory.

3) Did it all the time after pulling once.

4) I don't want to fix or work around, I can wait until we will understand what happening. I 'm going to run additional tests with another version of Centos tomorrow.

Answer:

[root@host ~]# cd
[root@host ~]# virtualenv -p python3.4 xxx
Running virtualenv with interpreter /usr/local/bin/python3.4
Using base prefix '/usr/local'
New python executable in xxx/bin/python3.4
Also creating executable in xxx/bin/python
Failed to import the site module
Traceback (most recent call last):
  File "/root/xxx/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/root/xxx/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'
ERROR: The executable xxx/bin/python3.4 is not functioning
ERROR: It thinks sys.prefix is '/root' (should be '/root/xxx')
ERROR: virtualenv is not compatible with this system or executable
[root@host ~]# ./xxx/bin/python
Failed to import the site module
Traceback (most recent call last):
  File "/root/xxx/lib/python3.4/site.py", line 67, in <module>
    import os
  File "/root/xxx/lib/python3.4/os.py", line 616, in <module>
    from _collections_abc import MutableMapping
ImportError: No module named '_collections_abc'

Revision history for this message
Mark Sapiro (msapiro) wrote :

The last test result, indicates the problem is with your installed virtualenv. I.e. virtualenv, running standalone, outside of mailman-bundler and buildout, doesn't/can't install a working python3.4 in the virtual environment.

I can see the same problem with python-virtualenv.noarch 1:1.7.2-2.el5 on CentOS 5

I was able to fix it by following the instructioins at <https://pypi.python.org/pypi/setuptools> to install setuptools 15.1 and then running

easy-install virtualenv

to install virtualenv 12.1.1

Revision history for this message
Danil Smirnov (ulrith) wrote :

It is 1.10.1 version here on Centos 7.

I have installed setuptools 15.1 but it can't help me to install 'virtualenv' newer than 1.10.1:

[root@host ~]# easy_install virtualenv # note that correct spelling easy_install, not easy-install!
Searching for virtualenv
Best match: virtualenv 1.10.1
Adding virtualenv 1.10.1 to easy-install.pth file

Using /usr/lib/python2.7/site-packages
Processing dependencies for virtualenv
Finished processing dependencies for virtualenv

---

Did I miss something, Mark?

Revision history for this message
Danil Smirnov (ulrith) wrote :

I have successfully installed Virtualenv 12.1.1 using this manual

https://virtualenv.pypa.io/en/latest/installation.html

and this source file:

https://pypi.python.org/pypi/virtualenv/12.1.1#downloads

$ curl -O https://pypi.python.org/packages/source/v/virtualenv/virtualenv-12.1.1.tar.gz
$ tar xvfz virtualenv-12.1.1.tar.gz
$ cd virtualenv-12.1.1
$ python setup.py install

Now 'buildout' command completes successfully.

I have no time to check if everything installed correct right now but I will do it later today.

I think this virtualenv problem should be reflected in the installation manual.

Revision history for this message
ruben (rroopstr) wrote :

Hi, I am just installing Mailman on CentOs 7 and already installed Python 3.5 and get the exact same output after typing buildout:

Installing mailman.
The executable python3.4 (from --python=python3.4) does not exist
/tmp/tmptaILCi/run: line 2: /root/mailman-bundler/venv-3.4/bin/pip: No such file or directory
While:
  Installing mailman.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/root/Python-3.5.0/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1992, in main
    getattr(buildout, command)(args)
  File "/root/Python-3.5.0/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 666, in install
    installed_files = self[part]._call(recipe.install)
  File "/root/Python-3.5.0/venv/lib/python2.7/site-packages/zc/buildout/buildout.py", line 1407, in _call
    return f()
  File "/root/mailman-bundler/eggs/collective.recipe.cmd-0.11-py2.7.egg/collective/recipe/cmd/__init__.py", line 56, in install
    self.execute()
  File "/root/mailman-bundler/eggs/collective.recipe.cmd-0.11-py2.7.egg/collective/recipe/cmd/__init__.py", line 69, in execute
    run_commands(cmds, self.shell)
  File "/root/mailman-bundler/eggs/collective.recipe.cmd-0.11-py2.7.egg/collective/recipe/cmd/__init__.py", line 39, in run_commands
    check_call('%s %s' % (shell, tmpfile), shell=True)
  File "/usr/lib64/python2.7/subprocess.py", line 542, in check_call
    raise CalledProcessError(retcode, cmd)
CalledProcessError: Command 'sh /tmp/tmptaILCi/run' returned non-zero exit status 127

What to do now?

Revision history for this message
Mark Sapiro (msapiro) wrote :

Apparently mailman-bundler is not (yet) compatible with Python 3.5.

This is no longer the appropriate place for any mailman3 related issues. Please resubmit this issue at <https://gitlab.com/mailman/mailman-bundler/issues>.

Revision history for this message
ruben (rroopstr) wrote :
Download full text (5.3 KiB)

thank you Mark

Rubén Rivero Capriles
http://www.rubenrivero.net (blog global - español)
http://www.rroopstr.com (global blog - English)
http://www.riverocooper.com (art & mining)

2016-05-26 16:16 GMT-04:00 Mark Sapiro <email address hidden>:

> Apparently mailman-bundler is not (yet) compatible with Python 3.5.
>
> This is no longer the appropriate place for any mailman3 related issues.
> Please resubmit this issue at <https://gitlab.com/mailman/mailman-
> bundler/issues>.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1445764
>
> Title:
> "The executable /usr/bin/python3.4 does not exist" error when
> Installing Mailman 3 on Centos 7
>
> Status in GNU Mailman:
> Fix Committed
>
> Bug description:
> Short summary: when installing Mailman 3 onto new Centos 7 box using
> manual at page
> http://mailman-bundler.readthedocs.org/en/latest/
>
> after step
>
> (venv)[root@host mailman-bundler]# pip install zc.buildout
> (venv)[root@host mailman-bundler]# buildout
>
> getting the error:
>
> ---
> Installing mailman.
> The executable /usr/bin/python3.4 (from --python=/usr/bin/python3.4)
> does not exist
> /tmp/tmpePyrQ3/run: line 2:
> /usr/local/src/mailman-bundler/venv-3.4/bin/pip: No such file or directory
> While:
> Installing mailman.
> ---
>
> Now in details:
>
> Fresh new CentOS Linux release 7.1.1503 (Core) installed as kvm guest.
>
> System python package installed: python-2.7.5-16.el7.x86_64
>
> Python 3.4.3 was installed by commands:
>
> [root@host ~]# cd /usr/local/src
> [root@host src]# curl -O
> https://www.python.org/ftp/python/3.4.3/Python-3.4.3.tgz
> [root@host src]# tar -xvzf Python-3.4.3.tgz
> [root@host src]# cd /usr/local/src/Python-3.4.3
> [root@host Python-3.4.3]# ./configure --enable-shared
> --prefix=/usr/local LDFLAGS="-Wl,-rpath /usr/local/lib"
> [root@host Python-3.4.3]# make
> [root@host Python-3.4.3]# make altinstall
>
> Virtualenv was installed from package
> python-virtualenv.noarch 0:1.10.1-2.el7
> with dependant python-devel.x86_64 0:2.7.5-16.el7
>
> Then everything was don according
> http://mailman-bundler.readthedocs.org/en/latest/
> until the error mentioned above occurred.
>
> When I did
> (venv)[root@host mailman-bundler]# ln -s /usr/local/bin/python3.4
> /usr/bin/python3.4
>
> I've got another error:
> ---
> (venv)[root@host mailman-bundler]# buildout
> Develop: '/usr/local/src/mailman-bundler/.'
> warning: no files found matching '*.in' under directory 'mailman_bundler'
> warning: no files found matching '*.in' under directory 'deployment'
> warning: no files found matching 'deployment/mailman-web.logrotate.conf'
> Updating mailman-web.
> Updating main.
> Installing mailman.
> Running virtualenv with interpreter /usr/bin/python3.4
> Using base prefix '/usr/local'
> New python executable in
> /usr/local/src/mailman-bundler/venv-3.4/bin/python3.4
> Also creating executable in
> /usr/local/src/mailman-bundler/venv-3.4/bin/python
> Failed to import the site module
> Traceback (most recent call last):
> File "/usr/local/src/mailman-...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers